import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { LonghuVipPhonePush } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-28 13:28
 */
interface LonghuVipPhonePushCU extends ConditionUtil<LonghuVipPhonePushCU> {
    USER_ID: FieldUtil<LonghuVipPhonePushCU>;
    PHONE: FieldUtil<LonghuVipPhonePushCU>;
    CITY: FieldUtil<LonghuVipPhonePushCU>;
    PAY_COUNT: FieldUtil<LonghuVipPhonePushCU>;
    PLAN_TIME: FieldUtil<LonghuVipPhonePushCU>;
    IS_PUSH: FieldUtil<LonghuVipPhonePushCU>;
    PUSH_TIME: FieldUtil<LonghuVipPhonePushCU>;
    IS_SUCCESS: FieldUtil<LonghuVipPhonePushCU>;
}
declare class LonghuVipPhonePushMU extends TableUtilImpl<LonghuVipPhonePushCU, LonghuVipPhonePush> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): LonghuVipPhonePushCU;
    static get USER_ID(): FieldUtil<LonghuVipPhonePushCU>;
    static get PHONE(): FieldUtil<LonghuVipPhonePushCU>;
    static get CITY(): FieldUtil<LonghuVipPhonePushCU>;
    static get PAY_COUNT(): FieldUtil<LonghuVipPhonePushCU>;
    static get PLAN_TIME(): FieldUtil<LonghuVipPhonePushCU>;
    static get IS_PUSH(): FieldUtil<LonghuVipPhonePushCU>;
    static get PUSH_TIME(): FieldUtil<LonghuVipPhonePushCU>;
    static get IS_SUCCESS(): FieldUtil<LonghuVipPhonePushCU>;
    get USER_ID(): FieldUtil<LonghuVipPhonePushCU>;
    get PHONE(): FieldUtil<LonghuVipPhonePushCU>;
    get CITY(): FieldUtil<LonghuVipPhonePushCU>;
    get PAY_COUNT(): FieldUtil<LonghuVipPhonePushCU>;
    get PLAN_TIME(): FieldUtil<LonghuVipPhonePushCU>;
    get IS_PUSH(): FieldUtil<LonghuVipPhonePushCU>;
    get PUSH_TIME(): FieldUtil<LonghuVipPhonePushCU>;
    get IS_SUCCESS(): FieldUtil<LonghuVipPhonePushCU>;
}
export { LonghuVipPhonePushMU, LonghuVipPhonePushCU };
